Imagick::getImageBorderColor
Imagick::getImageChannelDistortion
Imagick
PHP Manual

# Imagick::getImageChannelDepth

Gets the depth for a particular image channel

### Description

int Imagick::getImageChannelDepth ( int `$channel` )

Gets the depth for a particular image channel.

### Parameters

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns `TRUE` on success.